## diamond 3.4.67

=== debian/changelog ===
diamond (3.4.67) unstable; urgency=medium

  [ Rob Smith ]
  * Last Commit: (2014-04-04 17:37:44 +0100)
    f4f98aebba818b569ff0044437303eee1cb59528 John Spray
    <john.spray@inktank.com>

 --  <jenkins-build@calamari-buildslave-trusty.front.sepia.ceph.com>  Thu, 07 Jan 2016 19:54:24 -0800

diamond (3.0.2) unstable; urgency=low
  * new upstream
 -- Rob Smith <kormoc@gmail.com>  Tue, 01 Aug 2012 21:06:00 -0800

diamond (3.0.0) unstable; urgency=low
  * new upstream
 -- Rob Smith <kormoc@gmail.com>  Tue, 24 Jul 2012 23:56:00 -0800

diamond (0.2.0) unstable; urgency=low
  * new upstream
 -- Christian Becker <c.becker@traviangames.com>  Tue, 16 Feb 2012 18:24:00 +0200

## diamond 4.0.515

=== Makefile ===
DESTDIR=/
PROJECT=diamond
VERSION :=$(shell bash version.sh )
RELEASE :=$(shell ls -1 dist/*.noarch.rpm 2>/dev/null | wc -l )
HASH	:=$(shell git rev-parse HEAD )
DISTRO=precise

all:
	@echo "make run      - Run Diamond from this directory"
	@echo "make config   - Run a simple configuration CLI program"
	@echo "make watch    - Watch and continuously run tests"
	@echo "make test     - Run tests"
	@echo "make docs     - Build docs"
	@echo "make sdist    - Create source package"
	@echo "make bdist    - Create binary package"
	@echo "make pypi     - Update PyPI package"
	@echo "make install  - Install on local system"
	@echo "make develop  - Install on local system in development mode"
	@echo "make rpm      - Generate a rpm package"
	@echo "make deb      - Generate a deb package"
	@echo "make sdeb     - Generate a deb source package"
	@echo "make ebuild   - Generate a ebuild package"
	@echo "make tar      - Generate a tar ball"
	@echo "make clean    - Get rid of scratch and byte files"

run:
	./bin/diamond --configfile=conf/diamond.conf --foreground --log-stdout

config:
	./bin/diamond-setup --configfile=conf/diamond.conf

watch:
	watchr test.watchr

test:
	./test.py

docs: version
	./build_doc.py --configfile=conf/diamond.conf

sdist: version
	./setup.py sdist --prune

bdist: version
	./setup.py bdist --prune

bdist_wheel: version
	USE_SETUPTOOLS=1 ./setup.py bdist_wheel

install: version
	./setup.py install --root $(DESTDIR)

develop: version
	USE_SETUPTOOLS=1 ./setup.py develop

rpm: buildrpm

buildrpm: sdist
	./setup.py bdist_rpm \
		--release=`ls dist/*.noarch.rpm | wc -l` \
		--build-requires='python, python-configobj, python-setuptools' \
		--requires='python, python-configobj, python-setuptools'

deb: builddeb

sdeb: buildsourcedeb

builddeb: version 
	dch --newversion $(VERSION) --distribution unstable --force-distribution -b "Last Commit: $(shell git log -1 --pretty=format:'(%ai) %H %cn <%ce>')"
	dch --release  "new upstream"
	./setup.py sdist --prune
	mkdir -p build
	tar -C build -zxf dist/$(PROJECT)-$(VERSION).tar.gz
	(cd build/$(PROJECT)-$(VERSION) && debuild -us -uc -v$(VERSION))
	@echo "Package is at build/$(PROJECT)_$(VERSION)_all.deb"

buildsourcedeb: version 
	dch --newversion $(VERSION)~$(DISTRO) --distribution $(DISTRO) --force-distribution -b "Last Commit: $(shell git log -1 --pretty=format:'(%ai) %H %cn <%ce>')"
	dch --release  "new upstream"
	./setup.py sdist --prune
	mkdir -p build
	tar -C build -zxf dist/$(PROJECT)-$(VERSION).tar.gz
	(cd build/$(PROJECT)-$(VERSION) && debuild -S -sa -v$(VERSION))
	@echo "Source package is at build/$(PROJECT)_$(VERSION)~$(DISTRO)_source.changes"

ebuild: buildebuild

buildebuild: version
	cat gentoo/diamond.ebuild | sed "s/GIT_HASH/${HASH}/" >> gentoo/diamond-$(VERSION).ebuild
	@echo "ebuild is at gentoo/diamond-$(VERSION).ebuild"

tar: sdist

clean:
	./setup.py clean
	rm -rf dist build MANIFEST .tox *.log
	find . -name '*.pyc' -delete

version:
	./version.sh > version.txt

vertest: version 
	echo "${VERSION}"

reltest:
	echo "$(RELEASE)"

distrotest:
	echo ${DISTRO}

pypi: clean version sdist bdist_wheel
	twine upload -s dist/*
	git tag "v$(shell cat version.txt)"
	git push --tags

.PHONY: run watch config test docs sdist bdist bdist_wheel install rpm buildrpm deb sdeb builddeb buildsourcedeb ebuild buildebuild tar clean cleanws version reltest vertest distrotest pypi

=== debian/changelog ===
diamond (4.0.515-4ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Fix arch build so that package builds on buildds.
      (Seems like an ubuntu only change).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 30 May 2017 08:42:14 +0530

diamond (4.0.515-4) unstable; urgency=medium

  * debian/diamond.service
    - set KillMode to `mixed`; Closes: #854842

 -- Sandro Tosi <morph@debian.org>  Sun, 28 May 2017 15:48:29 -0400

diamond (4.0.515-3ubuntu1) zesty; urgency=medium

  * Fix arch build so that package builds on buildds.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 11 Feb 2017 12:53:27 +0530

diamond (4.0.515-3) unstable; urgency=medium

  * debian/control
    - install python-pkg-resources with python-diamond; Closes: #851198
    - add lsb-base (>= 3.0-6) to diamond suggests, for those still using init.d;
      Closes: #851745

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2017 17:28:37 -0500

diamond (4.0.515-2) unstable; urgency=medium

  * debian/control
    - add configobj to depends on both bin packages; Closes: #824228
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2017 13:04:13 -0500

diamond (4.0.515-1) unstable; urgency=medium

  * New upstream release
  * compat level 10

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Dec 2016 13:19:53 -0500

diamond (4.0.451-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - dont install README.md, removed upstream
  * debian/control
    - suggests psutil, used by memory collector
    - bump Standards-Version to 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jun 2016 20:33:36 +0100

diamond (4.0.195-1) unstable; urgency=low

  * Initial release (Closes: #814784)

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Feb 2016 07:52:21 -0500

=== debian/control ===
Source: diamond
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 10), python, dh-python, python-setuptools, python-configobj, python-psutil
Standards-Version: 3.9.8
Homepage: https://github.com/python-diamond/Diamond
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/diamond/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/diamond/trunk/

Package: diamond
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, adduser, python-diamond (= ${binary:Version}), python-configobj
Suggests: python-psutil, lsb-base (>= 3.0-6)
Description: smart data producer for Graphite graphing package
 Diamond is a python daemon that collects system metrics and publishes them to
 Graphite (and others). It is capable of collecting cpu, memory, network, i/o,
 load and disk metrics. Additionally, it features an API for implementing custom
 collectors for gathering metrics from almost any source.
 .
 This package contains the daemon and its configuration and accessories.

Package: python-diamond
Architecture: all
Section: python
Depends: ${python:Depends}, ${misc:Depends}, python-configobj, python-pkg-resources
Description: smart data producer for Graphite graphing package (Python module)
 Diamond is a python daemon that collects system metrics and publishes them to
 Graphite (and others). It is capable of collecting cpu, memory, network, i/o,
 load and disk metrics. Additionally, it features an API for implementing custom
 collectors for gathering metrics from almost any source.
 .
 This package contains the 'diamond' python module.

=== debian/rules ===
#!/usr/bin/make -f

# main packaging script based on dh7 syntax
%:
	dh $@ --with python2

override_dh_auto_install-arch:
	python setup.py install --install-layout=deb --root=$(CURDIR)/debian/diamond

	cp $(CURDIR)/debian/diamond.init $(CURDIR)/debian/diamond/etc/init.d/diamond

	mkdir -p $(CURDIR)/debian/diamond/etc/default
	cp $(CURDIR)/debian/diamond.default $(CURDIR)/debian/diamond/etc/default

	# split program and python module in 2 packages
	mkdir -p $(CURDIR)/debian/python-diamond/usr
	mv $(CURDIR)/debian/diamond/usr/lib $(CURDIR)/debian/python-diamond/usr

	rm $(CURDIR)/debian/diamond/usr/share/diamond/LICENSE
	rm $(CURDIR)/debian/diamond/etc/diamond/diamond.conf.example.windows

	# set in the example config file the user/group we create in the maint scripts
	sed -i '/user =$$/s/$$/ diamond/;/group =$$/s/$$/ diamond/' $(CURDIR)/debian/diamond/etc/diamond/diamond.conf.example

	dh_install -pdiamond debian/diamond.service /lib/systemd/system

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/diamond/diamond-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## diamond 4.0.20160104.git41a3cf0-1

=== Makefile ===
--- 
+++ 
@@ -58,8 +58,8 @@
 buildrpm: sdist
 	./setup.py bdist_rpm \
 		--release=`ls dist/*.noarch.rpm | wc -l` \
-		--build-requires='python, python-configobj, python-setuptools' \
-		--requires='python, python-configobj, python-setuptools'
+		--build-requires='python, python-configobj' \
+		--requires='python, python-configobj'
 
 deb: builddeb
 
@@ -108,9 +108,7 @@
 distrotest:
 	echo ${DISTRO}
 
-pypi: clean version sdist bdist_wheel
+pypi: version sdist bdist_wheel
 	twine upload -s dist/*
-	git tag "v$(shell cat version.txt)"
-	git push --tags
 
 .PHONY: run watch config test docs sdist bdist bdist_wheel install rpm buildrpm deb sdeb builddeb buildsourcedeb ebuild buildebuild tar clean cleanws version reltest vertest distrotest pypi

=== debian/changelog ===
diamond (4.0.20160104.git41a3cf0-1) wily; urgency=medium

  * Non-maintainer release
  * Build from new untag version

 -- Romain Acciari <romain.acciari@openio.io>  Wed, 18 May 2016 09:17:49 +0000

diamond (3.1.0) unstable; urgency=low
  * new upstream
 -- Rob Smith <kormoc@gmail.com>  Tue, 05 Nov 2012 15:19:00 -0800
